Bug 258678 - Support of arrow functions
Support of arrow functions
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
8.2
PC Linux
: P3 with 1 vote (vote)
: 8.2
Assigned To: Petr Hejl
issues@javascript
ecma6
:
Depends on:
Blocks: 242387
  Show dependency treegraph
 
Reported: 2016-04-06 10:54 UTC by Petr Pisl
Modified: 2016-05-31 09:11 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
with yesterday's trunk (on Win x64) (25.78 KB, image/jpeg)
2016-05-31 01:59 UTC, peterkehl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2016-04-06 10:54:41 UTC
ECMA 6 Script brings arrow functions: 
https://developer.mozilla.org/cs/docs/Web/JavaScript/Reference/Functions/Arrow_functions

The arrow functions doesn't need a special action from the editor site, but needs to be checked hints and mark occurrences.
Comment 1 Petr Hejl 2016-04-13 15:17:22 UTC
I'll check this one.
Comment 2 Petr Hejl 2016-04-14 07:14:54 UTC
Everything seems to be working fine.
web-main 5e654d9ec168
Comment 3 peterkehl 2016-05-31 01:58:45 UTC
It seems no to work all the time. Following doesn't parse well in yesterday's trunk build. Screenshot attached.

promise.then(
    (url)=> {
        if( goAhead ) {
        }
    }
);

Thank you for your support over years.
-Peter Kehl
Comment 4 peterkehl 2016-05-31 01:59:53 UTC
Created attachment 159922 [details]
with yesterday's trunk (on Win x64)
Comment 5 Petr Hejl 2016-05-31 09:11:59 UTC
The feature is not in trunk it is on branch and will be merged later.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo